package Product

import (
	_ "github.com/astaxie/beego/cache/redis"
	"github.com/beego/beego/v2/adapter/orm"
	_ "github.com/go-sql-driver/mysql"
	"time"
)

// 产品类型
type ProductUpgrade struct {
	Id         int    `orm:"column(ID);size(11);auto;pk"`
	T_model    string `orm:"size(256);"` // 产品型号
	T_version  string `orm:"size(256);"` // 版本
	T_file     string `orm:"size(256);"` // 文件
	T_remarks  string `orm:"size(256);"` // 备注
	T_carryout int    `orm:"size(1);"`   // 全量发布

	CreateTime time.Time `orm:"column(create_time);type(timestamp);;auto_now_add"` //auto_now_add 第一次保存时才设置时间
}

type ProductUpgrade_T struct {
	T_sn      string `orm:"size(256);null"` // 设备编号
	T_version string `orm:"size(256);null"` // 版本
	T_file    string `orm:"size(256);null"` // 文件
}

func (t *ProductUpgrade) TableName() string {
	return "product_upgrade" // 数据库名称   // ************** 替换 FormulaList **************
}

func init() {
	//注册模型
	orm.RegisterModel(new(ProductUpgrade))

}
